Create Revenue SplitThe Split Revenue endpoint allows you to split revenue generated from a specific asset and product among multiple users. This endpoint calculates the revenue shares based on the provided split percentages for each user.Authorization:
Required role: admin or higher
Method:
POSTTemporal Splits & Date Ranges:
Splits support temporal periods with startDate and endDate
startDate is INCLUSIVE - the split becomes active on this date
endDate is EXCLUSIVE - the split ends before this date (not included)
Example: startDate: "2025-01-01", endDate: "2025-04-01" covers Jan 1 through Mar 31
Adjacent splits: Next split can start on the previous split’s endDate (no gap)
Permanent splits: Omit both dates for indefinite coverage
Split Succession Pattern:
To create a chain of temporal splits without gaps:
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Royalti.io API","colors":{"primary":"#006666","light":"#008080","dark":"#004444"},"logo":{"light":"https://mintcdn.com/royaltiio/BIFmOIRYj66RGu3q/logo/light.svg?fit=max\u0026auto=format\u0026n=BIFmOIRYj66RGu3q\u0026q=85\u0026s=a60f4ed09872b24c683102d5f7718f3e","dark":"https://mintcdn.com/royaltiio/BIFmOIRYj66RGu3q/logo/dark.svg?fit=max\u0026auto=format\u0026n=BIFmOIRYj66RGu3q\u0026q=85\u0026s=2fd3097d50e9e7d954f62810ef7d588d"},"favicon":"https://mintcdn.com/royaltiio/BIFmOIRYj66RGu3q/favicon.svg?fit=max\u0026auto=format\u0026n=BIFmOIRYj66RGu3q\u0026q=85\u0026s=b456ed10ba8cc54b22ce4c9d3c71ca74","api":{"openapi":"openapi.json","playground":{"display":"interactive"},"mdx":{"auth":{"method":"bearer","name":"Authorization"},"server":"https://api.royalti.io"}},"integrations":{},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"royaltiio","hasAudioNarration":false,"actualSubdomain":"royaltiio","customDomains":["apidocs.royalti.io"],"gitSource":{"type":"github","owner":"royalti-io","repo":"royalti-server-v2.6","deployBranch":"prod","contentDirectory":"mintlify","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae8c73faa0de63df87d2fcd","clientVersion":"0.0.4094","searchFilterCounts":[{"language":"default","tag":"Publishers","count":56},{"language":"default","tag":"Ddex","count":33},{"language":"default","tag":"Billing","count":30},{"language":"default","tag":"Works","count":29},{"language":"default","tag":"Checklists","count":25},{"language":"default","tag":"Release","count":24},{"language":"default","tag":"Product","count":23},{"language":"default","tag":"Auth","count":22},{"language":"default","tag":"File","count":22},{"language":"default","tag":"Merlin","count":22}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/splits/post-split","slug":"/api-reference/splits/post-split","pageMetadata":{"title":"Create split","description":"**Create Revenue Split**","openapi":"post /split/","href":"/api-reference/splits/post-split"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Create Revenue Split\"\n })\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Heading,Note,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Note,{children:_jsx(_components.p,{children:`This endpoint requires authentication. Include your Bearer token in the Authorization header.`})}),`\n`,_jsx(Heading,{level:`2`,id:`description`,children:`Description`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Create Revenue Split`})}),`\n`,_jsx(_components.p,{children:`The Split Revenue endpoint allows you to split revenue generated from a specific asset and product among multiple users. This endpoint calculates the revenue shares based on the provided split percentages for each user.`}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Authorization:`})}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Required role: `,_jsx(_components.code,{children:`admin`}),` or higher`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Method:`}),`\nPOST`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Temporal Splits \u0026 Date Ranges:`})}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Splits support temporal periods with `,_jsx(_components.code,{children:`startDate`}),` and `,_jsx(_components.code,{children:`endDate`})]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`startDate is INCLUSIVE`}),` - the split becomes active on this date`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`endDate is EXCLUSIVE`}),` - the split ends before this date (not included)`]}),`\n`,_jsxs(_components.li,{children:[`Example: `,_jsx(_components.code,{children:`startDate: \"2025-01-01\", endDate: \"2025-04-01\"`}),` covers Jan 1 through Mar 31`]}),`\n`,_jsx(_components.li,{children:`Adjacent splits: Next split can start on the previous split’s endDate (no gap)`}),`\n`,_jsx(_components.li,{children:`Permanent splits: Omit both dates for indefinite coverage`}),`\n`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Split Succession Pattern:`}),`\nTo create a chain of temporal splits without gaps:`]}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`Q1 Split: `,_jsx(_components.code,{children:`startDate: \"2025-01-01\", endDate: \"2025-04-01\"`}),` (covers Jan-Mar)`]}),`\n`,_jsxs(_components.li,{children:[`Q2 Split: `,_jsx(_components.code,{children:`startDate: \"2025-04-01\", endDate: \"2025-07-01\"`}),` (starts Apr 1, covers Apr-Jun)`]}),`\n`,_jsxs(_components.li,{children:[`Q3 Split: `,_jsx(_components.code,{children:`startDate: \"2025-07-01\", endDate: \"2025-10-01\"`}),` (starts Jul 1, covers Jul-Sep)`]}),`\n`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Validation:`})}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsx(_components.li,{children:`Split shares must total exactly 100%`}),`\n`,_jsx(_components.li,{children:`Overlapping temporal splits are prevented (same asset/product/type)`}),`\n`,_jsxs(_components.li,{children:[`At least one of `,_jsx(_components.code,{children:`asset`}),` or `,_jsx(_components.code,{children:`product`}),` must be provided`]}),`\n`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Parameters:`})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Required`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`asset`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Conditional`}),_jsx(_components.td,{children:`The UUID of the asset related to the revenue (required if product not provided)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`product`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Conditional`}),_jsx(_components.td,{children:`The UUID of the product related to the revenue (required if asset not provided)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`type`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`The type of revenue (e.g., Publishing, YouTube, Live)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`startDate`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`The start date of the split period (INCLUSIVE - period begins on this date)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`endDate`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`The end date of the split period (EXCLUSIVE - period ends before this date)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`name`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`The name or description of the revenue split`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`conditions`}),_jsx(_components.td,{children:`array`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`Array of condition objects for split matching (territory, DSP, usage type filters)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`contract`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`Contract details`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`ContractId`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`Contract ID`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`memo`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`No`}),_jsx(_components.td,{children:`Additional notes`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`split`}),_jsx(_components.td,{children:`array`}),_jsx(_components.td,{children:`Yes`}),_jsx(_components.td,{children:`An array of objects containing user shares (must total 100%)`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`code-examples`,children:`Code Examples`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`Node.js`,numberOfLines:`45`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`45`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` response`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://api.royalti.io/split/'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'POST'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `Bearer \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`token`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'application/json'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"asset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sample-asset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"product\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sample-product\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sample-type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"startDate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"2024-01-21\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"endDate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"2024-01-21\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sample-name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"split\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ref\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"#/components/schemas/SplitShare\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"conditions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"mode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sample-mode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"memo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sample-memo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"territories\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"dsps\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"usageTypes\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"customDimension\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sample-customDimension\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"customValues\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"contract\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sample-contract\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"ContractId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sample-ContractId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"memo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"sample-memo\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` })`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` data`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` response`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`json`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`console`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`log`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`data`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`12`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`12`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.post(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://api.royalti.io/split/'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` headers`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Bearer `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`{`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`token`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:` json`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"asset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sample-asset\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"product\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sample-product\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sample-type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"startDate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-01-21\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"endDate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2024-01-21\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sample-name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"split\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:[{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ref\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"#/components/schemas/SplitShare\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}],`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"conditions\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:[{`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"mode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sample-mode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"memo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sample-memo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"territories\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:[{}],`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"dsps\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:[{}],`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"usageTypes\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:[{}],`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"customDimension\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sample-customDimension\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"customValues\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:[{}]}],`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"contract\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sample-contract\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ContractId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sample-ContractId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"memo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"sample-memo\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`data `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response.json()`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:`print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(data)`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`5`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`5`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.royalti.io/split/`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer YOUR_TOKEN\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -d`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{\"asset\":\"sample-asset\",\"product\":\"sample-product\",\"type\":\"sample-type\",\"startDate\":\"2024-01-21\",\"endDate\":\"2024-01-21\",\"name\":\"sample-name\",\"split\":[{\"ref\":\"#/components/schemas/SplitShare\"}],\"conditions\":[{\"mode\":\"sample-mode\",\"memo\":\"sample-memo\",\"territories\":[{}],\"dsps\":[{}],\"usageTypes\":[{}],\"customDimension\":\"sample-customDimension\",\"customValues\":[{}]}],\"contract\":\"sample-contract\",\"ContractId\":\"sample-ContractId\",\"memo\":\"sample-memo\"}'`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create split","description":"**Create Revenue Split**","openapi":"post /split/","href":"/api-reference/splits/post-split"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Description","slug":"description","depth":2,"children":[]},{"title":"Code Examples","slug":"code-examples","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/royaltiio/c9872aeb88af9247/scripts/generate-from-swagger.js","/_mintlify/custom/royaltiio/92a450f742b65809/scripts/sync-openapi.js","/_mintlify/custom/royaltiio/1b1c5d646ab4e73c/scripts/validate-docs.js","/_mintlify/custom/royaltiio/4eff2efcf64378d4/scripts/merge-navigation.js"],"openApiReferenceData":{"operation":{"tags":["Splits"],"summary":"Create split","description":"**Create Revenue Split**","requestBody":"87cd1357-93db-495c-bcdd-57cb275ce4a9","responses":{"201":"3440de79-6b96-4e09-9d3c-adf86fb67d96","400":"140d6e45-549a-4c5f-8d70-800243e6c5a0","401":"a790290e-3570-49a4-ba14-8a2153c2db5e","403":"44cdfc3b-ab90-4f26-8e90-74b60a0b86c1","404":"ca39264c-998e-425f-830b-6c1f6219108e","500":"f1e022af-4eab-4382-939c-bcd110b0f46d"},"security":["b9fc3c95-b5fa-4ac7-b56e-5c2af484517e"],"method":"post","type":"path","servers":["3c4e47e6-eb88-4913-a4e7-55c75897c264","69a2dcb9-06ef-4c15-94e3-df9bf992d8e9","8e6b4602-e529-46ea-aff4-4c59d0f6b391"],"path":"/split/","baseUrlOptions":["https://api.royalti.io","https://api-dev.royalti.io","http://localhost:8084"],"title":"Create split","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"split":{"type":"array","items":{"type":"object","properties":{"user":{"type":"string","format":"uuid","description":"The unique identifier of the user","uniqueKey":"split.items.[INDEX].user","typeLabel":"string\u003cuuid>"},"share":{"type":"integer","minimum":0,"maximum":100,"description":"The percentage share of the revenue for the user","uniqueKey":"split.items.[INDEX].share","typeLabel":"integer"}},"uniqueKey":"split.items.[INDEX]","typeLabel":"object"},"description":"An array of objects containing user shares","isRequired":true,"uniqueKey":"split","typeLabel":"object[]"},"asset":{"type":"string","format":"uuid","description":"The UUID of the asset related to the revenue","uniqueKey":"asset","typeLabel":"string\u003cuuid>"},"product":{"type":"string","format":"uuid","description":"The UUID of the product related to the revenue","uniqueKey":"product","typeLabel":"string\u003cuuid>"},"type":{"oneOf":[{"type":"string","description":"The type of revenue (e.g., Publishing, YouTube, Live)","uniqueKey":"type.oneOf.0","typeLabel":"string"},{"type":"null","description":"The type of revenue (e.g., Publishing, YouTube, Live)","uniqueKey":"type.oneOf.1","typeLabel":"null"}],"uniqueKey":"type","typeLabel":"string | null"},"startDate":{"oneOf":[{"type":"string","format":"date","description":"The start date of the split period (inclusive)","uniqueKey":"startDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","description":"The start date of the split period (inclusive)","uniqueKey":"startDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"startDate","typeLabel":"string\u003cdate> | null"},"endDate":{"oneOf":[{"type":"string","format":"date","description":"The end date of the split period (exclusive)","uniqueKey":"endDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","description":"The end date of the split period (exclusive)","uniqueKey":"endDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"endDate","typeLabel":"string\u003cdate> | null"},"name":{"oneOf":[{"type":"string","description":"The name or description of the revenue split","uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name or description of the revenue split","uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"conditions":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"mode":{"type":"string","enum":["include","exclude"],"default":"include","uniqueKey":"conditions.oneOf.0.items.[INDEX].mode","typeLabel":"enum\u003cstring>"},"memo":{"oneOf":[{"type":"string","uniqueKey":"conditions.oneOf.0.items.[INDEX].memo.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"conditions.oneOf.0.items.[INDEX].memo.oneOf.1","typeLabel":"null"}],"uniqueKey":"conditions.oneOf.0.items.[INDEX].memo","typeLabel":"string | null"},"territories":{"type":"array","items":{"type":"string","uniqueKey":"conditions.oneOf.0.items.[INDEX].territories.items.[INDEX]","typeLabel":"string"},"uniqueKey":"conditions.oneOf.0.items.[INDEX].territories","typeLabel":"string[]"},"dsps":{"type":"array","items":{"type":"string","uniqueKey":"conditions.oneOf.0.items.[INDEX].dsps.items.[INDEX]","typeLabel":"string"},"uniqueKey":"conditions.oneOf.0.items.[INDEX].dsps","typeLabel":"string[]"},"usageTypes":{"type":"array","items":{"type":"string","uniqueKey":"conditions.oneOf.0.items.[INDEX].usageTypes.items.[INDEX]","typeLabel":"string"},"uniqueKey":"conditions.oneOf.0.items.[INDEX].usageTypes","typeLabel":"string[]"},"customDimension":{"type":"string","uniqueKey":"conditions.oneOf.0.items.[INDEX].customDimension","typeLabel":"string"},"customValues":{"type":"array","items":{"type":"string","uniqueKey":"conditions.oneOf.0.items.[INDEX].customValues.items.[INDEX]","typeLabel":"string"},"uniqueKey":"conditions.oneOf.0.items.[INDEX].customValues","typeLabel":"string[]"}},"uniqueKey":"conditions.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Conditions for split matching","uniqueKey":"conditions.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"mode":{"type":"string","enum":["include","exclude"],"default":"include"},"memo":{"oneOf":[{"type":"string"},{"type":"null"}]},"territories":{"type":"array","items":{"type":"string"}},"dsps":{"type":"array","items":{"type":"string"}},"usageTypes":{"type":"array","items":{"type":"string"}},"customDimension":{"type":"string"},"customValues":{"type":"array","items":{"type":"string"}}}},"description":"Conditions for split matching","uniqueKey":"conditions.oneOf.1","typeLabel":"null"}],"uniqueKey":"conditions","typeLabel":"object[] | null"},"contract":{"oneOf":[{"type":"string","uniqueKey":"contract.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"contract.oneOf.1","typeLabel":"null"}],"uniqueKey":"contract","typeLabel":"string | null"},"ContractId":{"oneOf":[{"type":"string","format":"uuid","uniqueKey":"ContractId.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","uniqueKey":"ContractId.oneOf.1","typeLabel":"null"}],"uniqueKey":"ContractId","typeLabel":"string\u003cuuid> | null"},"memo":{"oneOf":[{"type":"string","uniqueKey":"memo.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"memo.oneOf.1","typeLabel":"null"}],"uniqueKey":"memo","typeLabel":"string | null"}},"required":["split"],"uniqueKey":"","typeLabel":"object"},"example":{"asset":"d1c5b49e-95fa-4aed-930e-cf314c16a53d","product":"b53230c5-2110-40ce-abe5-2112724ffb53","type":"Publishing","startDate":"2022-01-01","endDate":"2022-01-31","name":"Nigerian split train","split":[{"user":"cf960b5a-37cd-484a-b461-0b191b09bed1","share":60},{"user":"4e39b347-7db0-417d-a5bc-3d8493c9ce19","share":40}]},"examples":{"Example":{"title":"Example","value":{"asset":"d1c5b49e-95fa-4aed-930e-cf314c16a53d","product":"b53230c5-2110-40ce-abe5-2112724ffb53","type":"Publishing","startDate":"2022-01-01","endDate":"2022-01-31","name":"Nigerian split train","split":[{"user":"cf960b5a-37cd-484a-b461-0b191b09bed1","share":60},{"user":"4e39b347-7db0-417d-a5bc-3d8493c9ce19","share":40}]}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"3440de79-6b96-4e09-9d3c-adf86fb67d96":{"description":"Split created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"id","typeLabel":"string\u003cuuid>"},"AssetId":{"type":"string","format":"uuid","uniqueKey":"AssetId","typeLabel":"string\u003cuuid>"},"ProductId":{"type":"string","format":"uuid","uniqueKey":"ProductId","typeLabel":"string\u003cuuid>"},"type":{"type":"string","uniqueKey":"type","typeLabel":"string"},"startDate":{"oneOf":[{"type":"string","format":"date","uniqueKey":"startDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","uniqueKey":"startDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"startDate","typeLabel":"string\u003cdate> | null"},"endDate":{"oneOf":[{"type":"string","format":"date","uniqueKey":"endDate.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","format":"date","uniqueKey":"endDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"endDate","typeLabel":"string\u003cdate> | null"},"name":{"type":"string","uniqueKey":"name","typeLabel":"string"},"contract":{"oneOf":[{"type":"string","uniqueKey":"contract.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"contract.oneOf.1","typeLabel":"null"}],"uniqueKey":"contract","typeLabel":"string | null"},"ContractId":{"oneOf":[{"type":"string","uniqueKey":"ContractId.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"ContractId.oneOf.1","typeLabel":"null"}],"uniqueKey":"ContractId","typeLabel":"string | null"},"conditions":{"oneOf":[{"type":"string","uniqueKey":"conditions.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"conditions.oneOf.1","typeLabel":"null"}],"uniqueKey":"conditions","typeLabel":"string | null"},"TenantId":{"type":"integer","uniqueKey":"TenantId","typeLabel":"integer"}},"uniqueKey":"","typeLabel":"object"},"example":{"id":"8a8f3ee8-8855-4749-9649-897f9e0e6c6b","AssetId":"2e0d9f94-59eb-4ef8-adc6-9f3ddebf49fc","ProductId":"76293a6e-6c0a-4842-84b5-6bffbe1ea538","type":"Publishing","startDate":"2022-01-01T00:00:00.000Z","endDate":"2022-01-31T00:00:00.000Z","name":"Nigerian split train","contract":null,"ContractId":null,"conditions":null,"TenantId":2},"examples":{"Example":{"title":"Example","value":{"id":"8a8f3ee8-8855-4749-9649-897f9e0e6c6b","AssetId":"2e0d9f94-59eb-4ef8-adc6-9f3ddebf49fc","ProductId":"76293a6e-6c0a-4842-84b5-6bffbe1ea538","type":"Publishing","startDate":"2022-01-01T00:00:00.000Z","endDate":"2022-01-31T00:00:00.000Z","name":"Nigerian split train","contract":null,"ContractId":null,"conditions":null,"TenantId":2}}},"exampleType":"examples"}},"exampleType":"examples"},"140d6e45-549a-4c5f-8d70-800243e6c5a0":{"description":"Split condition error","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string","uniqueKey":"msg","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"msg":"operator does not exist: text = text[]"},"examples":{"Example":{"title":"Example","value":{"msg":"operator does not exist: text = text[]"}}},"exampleType":"examples"}},"exampleType":"examples"},"a790290e-3570-49a4-ba14-8a2153c2db5e":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":false,"uniqueKey":"success","typeLabel":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","uniqueKey":"error.message","typeLabel":"string"},"details":{"type":"array","items":{"type":"string","uniqueKey":"error.details.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.details","typeLabel":"string[]"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"error":{"code":"\u003cstring>","message":"\u003cstring>","details":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"44cdfc3b-ab90-4f26-8e90-74b60a0b86c1":{"description":"Forbidden - Insufficient permissions.\nRequired role: admin or higher\n","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":false,"uniqueKey":"success","typeLabel":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","uniqueKey":"error.message","typeLabel":"string"},"details":{"type":"array","items":{"type":"string","uniqueKey":"error.details.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.details","typeLabel":"string[]"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"error":{"code":"\u003cstring>","message":"\u003cstring>","details":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"ca39264c-998e-425f-830b-6c1f6219108e":{"description":"Not Found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":false,"uniqueKey":"success","typeLabel":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","uniqueKey":"error.message","typeLabel":"string"},"details":{"type":"array","items":{"type":"string","uniqueKey":"error.details.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.details","typeLabel":"string[]"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"error":{"code":"\u003cstring>","message":"\u003cstring>","details":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"f1e022af-4eab-4382-939c-bcd110b0f46d":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":false,"uniqueKey":"success","typeLabel":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","uniqueKey":"error.code","typeLabel":"string"},"message":{"type":"string","uniqueKey":"error.message","typeLabel":"string"},"details":{"type":"array","items":{"type":"string","uniqueKey":"error.details.items.[INDEX]","typeLabel":"string"},"uniqueKey":"error.details","typeLabel":"string[]"}},"uniqueKey":"error","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"error":{"code":"\u003cstring>","message":"\u003cstring>","details":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"b9fc3c95-b5fa-4ac7-b56e-5c2af484517e":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT Authorization header using the Bearer scheme. Format: \"Bearer {token}\"","scopes":[]}}},"servers":{"3c4e47e6-eb88-4913-a4e7-55c75897c264":{"url":"https://api.royalti.io","description":"Production server"},"69a2dcb9-06ef-4c15-94e3-df9bf992d8e9":{"url":"https://api-dev.royalti.io","description":"Development server"},"8e6b4602-e529-46ea-aff4-4c59d0f6b391":{"url":"http://localhost:8084","description":"Local development"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT Authorization header using the Bearer scheme. Format: \"Bearer {token}\"","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"JWT Authorization header using the Bearer scheme. Format: \"Bearer {token}\"","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.json"},"subdomain":"royaltiio","siteName":"Royalti.io API","title":"Create split - Royalti.io API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-14T13:57:39.527Z","originalFileLocation":"api-reference/splits/post-split.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create Revenue Split\">\u003cmeta data-mint-head name=\"application-name\" content=\"Royalti.io API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/royaltiio/h75trzcf5yAikCNm/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/royaltiio/h75trzcf5yAikCNm/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/royaltiio/h75trzcf5yAikCNm/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/royaltiio/h75trzcf5yAikCNm/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/royaltiio/h75trzcf5yAikCNm/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/royaltiio/h75trzcf5yAikCNm/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/royaltiio/h75trzcf5yAikCNm/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/royaltiio/h75trzcf5yAikCNm/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/royaltiio/h75trzcf5yAikCNm/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create split - Royalti.io API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create Revenue Split\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Royalti.io API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://apidocs.royalti.io/api-reference/splits/post-split\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://royaltiio.mintlify.site/_mintlify/api/og/v2?division=Splits\u0026amp;title=Create+split\u0026amp;description=**Create+Revenue+Split**\u0026amp;theme=5cbba4a76cd5355db3d508fb\u0026amp;signature=fc838fe27a12166fd0b9d518a7c2de0965a79d69fe0c3d3e5583dbd9a3b6f79a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create split - Royalti.io API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create Revenue Split\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://royaltiio.mintlify.site/_mintlify/api/og/v2?division=Splits\u0026amp;title=Create+split\u0026amp;description=**Create+Revenue+Split**\u0026amp;theme=5cbba4a76cd5355db3d508fb\u0026amp;signature=fc838fe27a12166fd0b9d518a7c2de0965a79d69fe0c3d3e5583dbd9a3b6f79a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/royaltiio/h75trzcf5yAikCNm/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Royalti.io API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#006666\">\u003clink data-mint-head rel=\"canonical\" href=\"https://apidocs.royalti.io/api-reference/splits/post-split\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/splits/post-split.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://apidocs.royalti.io/#organization\",\"name\":\"Royalti.io API\",\"url\":\"https://apidocs.royalti.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/royaltiio/BIFmOIRYj66RGu3q/logo/light.svg?fit=max\u0026auto=format\u0026n=BIFmOIRYj66RGu3q\u0026q=85\u0026s=a60f4ed09872b24c683102d5f7718f3e\"}},{\"@type\":\"WebSite\",\"@id\":\"https://apidocs.royalti.io#website\",\"name\":\"Royalti.io API\",\"url\":\"https://apidocs.royalti.io\",\"publisher\":{\"@id\":\"https://apidocs.royalti.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://apidocs.royalti.io/api-reference/splits/post-split#webpage\",\"url\":\"https://apidocs.royalti.io/api-reference/splits/post-split\",\"name\":\"Create split\",\"description\":\"Create Revenue Split\",\"dateModified\":\"2026-07-14T13:57:39.527Z\",\"isPartOf\":{\"@id\":\"https://apidocs.royalti.io#website\"},\"breadcrumb\":{\"@id\":\"https://apidocs.royalti.io/api-reference/splits/post-split#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://apidocs.royalti.io/api-reference/splits/post-split#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Splits\",\"item\":\"https://apidocs.royalti.io/api-reference/splits/get-split\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create split\",\"item\":\"https://apidocs.royalti.io/api-reference/splits/post-split\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://apidocs.royalti.io/api-reference/splits/post-split#apireference\",\"headline\":\"Create split\",\"name\":\"Create split\",\"description\":\"Create Revenue Split\",\"url\":\"https://apidocs.royalti.io/api-reference/splits/post-split\",\"mainEntityOfPage\":{\"@id\":\"https://apidocs.royalti.io/api-reference/splits/post-split#webpage\"},\"dateModified\":\"2026-07-14T13:57:39.527Z\",\"publisher\":{\"@id\":\"https://apidocs.royalti.io/#organization\"},\"isPartOf\":{\"@id\":\"https://apidocs.royalti.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Royalti.io API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Royalti.io API","nav":{"global":null,"groups":[{"group":"Getting Started","pages":[{"title":"Welcome to Royalti.io API","href":"/introduction/index"},{"title":"Quick Start Guide","href":"/introduction/quickstart"},{"title":"Authentication Guide","href":"/introduction/authentication"},{"title":"AI \u0026 MCP Integration","icon":"robot","href":"/introduction/ai-integration"}]},{"group":"Guides","pages":[{"title":"Default Settings","icon":"sliders","href":"/guides/default-settings"},{"title":"Splits \u0026 Revenue Distribution Guide","icon":"money-bill-transfer","href":"/guides/splits-management"},{"title":"User Management \u0026 Collaboration","icon":"users","href":"/guides/user-management"},{"title":"Financial Data \u0026 Management","icon":"chart-line-up","href":"/guides/financial-data-management"},{"title":"Integrated Workflows","icon":"diagram-project","href":"/guides/integrated-workflows"},{"title":"Release Management Guide","icon":"music","href":"/guides/release-management"},{"title":"Royalty Management Guide","icon":"chart-line","href":"/guides/royalty-management"},{"title":"File Detection \u0026 Confirmation","icon":"magnifying-glass","href":"/guides/royalty-detection-confirmation"},{"title":"Payment Processing Guide","icon":"credit-card","href":"/guides/payment-processing"},{"title":"DDEX Integration Guide","icon":"file-export","href":"/guides/ddex-integration"},{"title":"FUGA Integration Guide","icon":"upload","href":"/guides/fuga-integration"},{"title":"Publishing \u0026 CWR Integration Guide","icon":"copyright","href":"/guides/publishing-cwr"},{"title":"Advanced Metadata (MEAD)","icon":"compact-disc","href":"/guides/advanced-product-metadata"},{"title":"Catalog Import \u0026 Export","icon":"arrows-rotate","href":"/guides/catalog-import-export"},{"title":"Notification System Guide","icon":"bell","href":"/guides/notifications"},{"title":"Real-Time Events Guide","icon":"bolt","href":"/guides/real-time-events"},{"title":"Webhook Integration Guide","icon":"webhook","href":"/guides/webhook-integration"}]},{"group":"Changelog","pages":[{"title":"API Changelog","href":"/changelog/changelog"}]},{"group":"Account Erasure","pages":[{"title":"Preview an account erasure plan","openapi":"post /godmin/account-erasure/preview","href":"/api-reference/account-erasure/preview-account-erasure"},{"title":"Execute an account erasure","openapi":"post /godmin/account-erasure/execute","href":"/api-reference/account-erasure/execute-account-erasure"}]},{"group":"Accounting","pages":[{"title":"Get Accounting Overview","openapi":"get /accounting/overview","href":"/api-reference/accounting/get-accounting-overview"},{"title":"Get attribution data-health findings","openapi":"get /accounting/data-health","href":"/api-reference/accounting/get-accounting-data-health"},{"title":"Get User Accounting Statistics","openapi":"get /accounting/{id}/stats","href":"/api-reference/accounting/get-accounting-id-stats"},{"title":"Get Transactions Summary","openapi":"get /accounting/transactions/summary","href":"/api-reference/accounting/get-accounting-transactions-summary"},{"title":"Get Monthly Transaction Breakdown","openapi":"get /accounting/transactions/monthly","href":"/api-reference/accounting/get-accounting-transactions-monthly"},{"title":"Get Tenant Transactions","openapi":"get /accounting/transactions","href":"/api-reference/accounting/get-accounting-transactions"},{"title":"Get Current Due Amount","openapi":"get /accounting/getcurrentdue","href":"/api-reference/accounting/get-accounting-getcurrentdue"},{"title":"Refresh Accounting Data (Synchronous)","openapi":"get /accounting/refresh","href":"/api-reference/accounting/get-accounting-refresh"},{"title":"Refresh Stats and Accounting Pipeline (Async)","openapi":"get /accounting/refreshstats","href":"/api-reference/accounting/get-accounting-refreshstats"},{"title":"Get Total Due Amount","openapi":"get /accounting/gettotaldue","href":"/api-reference/accounting/get-accounting-gettotaldue"},{"title":"Trigger User Accounting Recalculation","openapi":"post /accounting/users/{id}/recalculate","href":"/api-reference/accounting/post-accounting-users-id-recalculate"},{"title":"Trigger Tenant-Wide Accounting Recalculation","openapi":"post /accounting/tenant/recalculate","href":"/api-reference/accounting/post-accounting-tenant-recalculate"},{"title":"Get Accounting Queue Status","openapi":"get /accounting/queue/status","href":"/api-reference/accounting/get-accounting-queue-status"}]},{"group":"Admin Impersonation","pages":[{"title":"Start an impersonation session","openapi":"post /admin/impersonate/{userId}","href":"/api-reference/admin-impersonation/start-impersonation"},{"title":"End the current impersonation session","openapi":"delete /admin/impersonate","href":"/api-reference/admin-impersonation/end-impersonation"}]},{"group":"Advance","pages":[{"title":"Get a user's advance standing","openapi":"get /advance/user/{tenantUserId}/balance","href":"/api-reference/advance/get-advance-user-id-balance"},{"title":"List advances","openapi":"get /advance","href":"/api-reference/advance/get-advance"},{"title":"Create an advance draft","openapi":"post /advance","href":"/api-reference/advance/post-advance"},{"title":"Get an advance","openapi":"get /advance/{id}","href":"/api-reference/advance/get-advance-id"},{"title":"Update a draft advance","openapi":"put /advance/{id}","href":"/api-reference/advance/put-advance-id"},{"title":"Activate a draft advance","openapi":"post /advance/{id}/activate","href":"/api-reference/advance/post-advance-id-activate"},{"title":"Cancel a draft advance","openapi":"post /advance/{id}/cancel","href":"/api-reference/advance/post-advance-id-cancel"},{"title":"Write off an active advance's remainder","openapi":"post /advance/{id}/write-off","href":"/api-reference/advance/post-advance-id-write-off"}]},{"group":"Artist","pages":[{"title":"Get Artists","openapi":"get /artist/","href":"/api-reference/artist/get-artist"},{"title":"Create Artist","openapi":"post /artist/","href":"/api-reference/artist/post-artist"},{"title":"Create Bulk Artists","openapi":"post /artist/bulk","href":"/api-reference/artist/post-artist-bulk"},{"title":"Update Bulk Artist Splits","openapi":"post /artist/bulksplit","href":"/api-reference/artist/post-artist-bulksplit"},{"title":"Get Artist","openapi":"get /artist/{id}","href":"/api-reference/artist/get-artist-id"},{"title":"Update Artist","openapi":"put /artist/{id}","href":"/api-reference/artist/put-artist-id"},{"title":"Delete Artist","openapi":"delete /artist/{id}","href":"/api-reference/artist/delete-artist-id"},{"title":"Merge Artists","openapi":"put /artist/{id}/merge","href":"/api-reference/artist/put-artist-id-merge"},{"title":"Get Artist Stats","openapi":"get /artist/stats/{id}","href":"/api-reference/artist/get-artist-stats-id"},{"title":"Get Artist Stats (Alternative Path)","openapi":"get /artist/{id}/stats","href":"/api-reference/artist/get-artist-id-stats"},{"title":"Get Artist Assets","openapi":"get /artist/{id}/assets","href":"/api-reference/artist/get-artist-id-assets"},{"title":"Get Artist Products","openapi":"get /artist/{id}/products","href":"/api-reference/artist/get-artist-id-products"},{"title":"Download Artists CSV","openapi":"post /artist/download/csv","href":"/api-reference/artist/post-artist-download-csv"},{"title":"Delete Bulk Artists","openapi":"post /artist/bulk/delete","href":"/api-reference/artist/post-artist-bulk-delete"},{"title":"Get Artist Summary","openapi":"get /artist/summary","href":"/api-reference/artist/get-artist-summary"},{"title":"Get all default splits for an artist","openapi":"get /artist/{id}/splits","href":"/api-reference/artist/get-artist-id-splits"},{"title":"Create new default splits for an artist","openapi":"post /artist/{id}/splits","href":"/api-reference/artist/post-artist-id-splits"},{"title":"Get default splits by type for an artist","openapi":"get /artist/{id}/splits/{type}","href":"/api-reference/artist/get-artist-id-splits-id"},{"title":"Update default splits by type for an artist","openapi":"put /artist/{id}/splits/{type}","href":"/api-reference/artist/put-artist-id-splits-id"},{"title":"Delete default splits by type for an artist","openapi":"delete /artist/{id}/splits/{type}","href":"/api-reference/artist/delete-artist-id-splits-id"}]},{"group":"Asset","pages":[{"title":"Get all assets","openapi":"get /asset","href":"/api-reference/asset/get-asset"},{"title":"Create a new asset","openapi":"post /asset","href":"/api-reference/asset/post-asset"},{"title":"Create multiple assets in bulk","openapi":"post /asset/bulk","href":"/api-reference/asset/post-asset-bulk"},{"title":"Set bulk splits for multiple assets","openapi":"post /asset/bulksplits","href":"/api-reference/asset/post-asset-bulksplits"},{"title":"Delete multiple assets in bulk","openapi":"post /asset/bulk/delete","href":"/api-reference/asset/post-asset-bulk-delete"},{"title":"Set default split for multiple assets","openapi":"put /asset/bulk/defaultsplit","href":"/api-reference/asset/put-asset-bulk-defaultsplit"},{"title":"Bulk delete splits for multiple assets","openapi":"post /asset/bulk/deletesplit","href":"/api-reference/asset/post-asset-bulk-deletesplit"},{"title":"Download asset data as CSV","openapi":"post /asset/download/csv","href":"/api-reference/asset/post-asset-download-csv"},{"title":"Get Asset Summary","openapi":"get /asset/summary","href":"/api-reference/asset/get-asset-summary"},{"title":"Get asset by ID","openapi":"get /asset/{id}","href":"/api-reference/asset/get-asset-id"},{"title":"Update an asset","openapi":"put /asset/{id}","href":"/api-reference/asset/put-asset-id"},{"title":"Delete an asset","openapi":"delete /asset/{id}","href":"/api-reference/asset/delete-asset-id"},{"title":"Update asset artists","openapi":"put /asset/{id}/artists","href":"/api-reference/asset/put-asset-id-artists"},{"title":"Get asset statistics","openapi":"get /asset/{id}/stats","href":"/api-reference/asset/get-asset-id-stats"},{"title":"Set default split for an asset","openapi":"put /asset/{id}/setdefaultsplit","href":"/api-reference/asset/put-asset-id-setdefaultsplit"},{"title":"Upload media for an asset","openapi":"post /asset/{id}/media","href":"/api-reference/asset/post-asset-id-media"},{"title":"Get works for a recording","openapi":"get /asset/{assetId}/works","href":"/api-reference/asset/get-asset-id-works"},{"title":"Delete media for an asset","openapi":"delete /asset/{id}/media/{mediaName}","href":"/api-reference/asset/delete-asset-id-media-id"},{"title":"Update Asset DDEX Metadata","openapi":"put /asset/{id}/ddex-metadata","href":"/api-reference/asset/put-asset-id-ddex-metadata"},{"title":"Check Asset DDEX Readiness","openapi":"get /asset/{id}/ddex-readiness","href":"/api-reference/asset/get-asset-id-ddex-readiness"}]},{"group":"Audit Work Activity","pages":[{"title":"Work activity trail (work changes + split changes)","openapi":"get /audit/work/{workId}/activity","href":"/api-reference/audit-work-activity/get-audit-work-id-activity"}]},{"group":"Auth","pages":[{"title":"Set Password (Invited Users)","openapi":"post /auth/setpassword","href":"/api-reference/auth/post-auth-setpassword"},{"title":"Check verification status","openapi":"get /auth/verification-status","href":"/api-reference/auth/get-verification-status"},{"title":"Forgot password","openapi":"post /auth/forgotpassword","href":"/api-reference/auth/post-auth-forgotpassword"},{"title":"Reset password","openapi":"patch /auth/resetpassword","href":"/api-reference/auth/patch-auth-resetpassword"},{"title":"import data","openapi":"post /auth/importdata","href":"/api-reference/auth/post-auth-importdata"},{"title":"Get logged in users data","openapi":"get /auth/","href":"/api-reference/auth/get-auth"},{"title":"Get new access token","openapi":"get /auth/authtoken","href":"/api-reference/auth/get-auth-authtoken"},{"title":"Logout","openapi":"post /auth/logout","href":"/api-reference/auth/post-auth-logout"},{"title":"Invite user","openapi":"post /auth/invite","href":"/api-reference/auth/post-auth-invite"},{"title":"Initiate Google OAuth login","openapi":"get /auth/google","href":"/api-reference/auth/get-auth-google"},{"title":"Google OAuth callback","openapi":"get /auth/google/callback","href":"/api-reference/auth/get-auth-google-callback"},{"title":"Initiate LinkedIn OAuth login","openapi":"get /auth/linkedin","href":"/api-reference/auth/get-auth-linkedin"},{"title":"LinkedIn OAuth callback","openapi":"get /auth/linkedin/callback","href":"/api-reference/auth/get-auth-linkedin-callback"},{"title":"Initiate Facebook OAuth login","openapi":"get /auth/facebook","href":"/api-reference/auth/get-auth-facebook"},{"title":"Facebook OAuth callback","openapi":"get /auth/facebook/callback","href":"/api-reference/auth/get-auth-facebook-callback"},{"title":"Get connected social providers","openapi":"get /auth/social/providers","href":"/api-reference/auth/get-auth-social-providers"},{"title":"Link a social provider","openapi":"post /auth/social/{provider}/link","href":"/api-reference/auth/post-auth-social-id-link"},{"title":"Unlink a social provider","openapi":"delete /auth/social/{provider}/unlink","href":"/api-reference/auth/delete-auth-social-id-unlink"},{"title":"Verify email","openapi":"post /auth/verify","href":"/api-reference/auth/post-auth-verify"},{"title":"Login with a magic link","openapi":"post /auth/loginlink","href":"/api-reference/auth/post-auth-loginlink"},{"title":"Login","openapi":"post /auth/login","href":"/api-reference/auth/post-auth-login"},{"title":"Update User Role","openapi":"patch /auth/role","href":"/api-reference/auth/patch-auth-role"}]},{"group":"Automations","pages":[{"title":"List all four automation templates with tenant state folded in","openapi":"get /ai/automations","href":"/api-reference/automations/get-ai-automations"},{"title":"Enable, disable, or reconfigure an automation template","openapi":"patch /ai/automations/{templateId}","href":"/api-reference/automations/patch-ai-automations-id"},{"title":"Start a manual run of an enabled automation","openapi":"post /ai/automations/{templateId}/run","href":"/api-reference/automations/post-ai-automations-id-run"},{"title":"List automation runs for the tenant","openapi":"get /ai/automations/runs","href":"/api-reference/automations/get-ai-automations-runs"},{"title":"Read one automation run, reconciled against the live snapshot","openapi":"get /ai/automations/runs/{runId}","href":"/api-reference/automations/get-ai-automations-runs-id"},{"title":"Resolve a run that is parked on a human approval/input step","openapi":"post /ai/automations/runs/{runId}/respond","href":"/api-reference/automations/post-ai-automations-runs-id-respond"}]},{"group":"Billing","pages":[{"title":"Get the tenant's active subscription (smart Stripe sync)","openapi":"get /billing/active","href":"/api-reference/billing/get-billing-active"},{"title":"Get last subscription sync status","openapi":"get /billing/sync-status","href":"/api-reference/billing/get-billing-sync-status"},{"title":"Get current-period usage summary","openapi":"get /billing/usage","href":"/api-reference/billing/get-billing-usage"},{"title":"List available subscription plans (local catalog)","openapi":"get /billing/plans","href":"/api-reference/billing/get-billing-plans"},{"title":"List available subscription plans (Stripe-facing shape)","openapi":"get /billing/plans/stripe","href":"/api-reference/billing/get-billing-plans-stripe"},{"title":"List local subscription records","openapi":"get /billing/subscriptions","href":"/api-reference/billing/get-billing-subscriptions"},{"title":"Create a local subscription record","openapi":"post /billing/subscriptions","href":"/api-reference/billing/post-billing-subscriptions"},{"title":"Get a local subscription record by id","openapi":"get /billing/subscriptions/{id}","href":"/api-reference/billing/get-billing-subscriptions-id"},{"title":"Cancel a local subscription","openapi":"post /billing/subscriptions/{id}/cancel","href":"/api-reference/billing/post-billing-subscriptions-id-cancel"},{"title":"Create an upgrade checkout session (redirects to direct API)","openapi":"post /billing/upgrade/checkout-session","href":"/api-reference/billing/post-billing-upgrade-checkout-session"},{"title":"Handle Stripe Checkout success callback","openapi":"get /billing/upgrade/checkout-success","href":"/api-reference/billing/get-billing-upgrade-checkout-success"},{"title":"Smart upgrade — chooses Checkout Session or direct API based on payment method","openapi":"post /billing/upgrade/{lookupKey}","href":"/api-reference/billing/post-billing-upgrade-id"},{"title":"Downgrade via Stripe Customer Portal","openapi":"post /billing/downgrade","href":"/api-reference/billing/post-billing-downgrade"},{"title":"Create a custom invoice","openapi":"post /billing/invoices/custom","href":"/api-reference/billing/post-billing-invoices-custom"},{"title":"Update a custom invoice","openapi":"put /billing/invoices/custom/{id}","href":"/api-reference/billing/put-billing-invoices-custom-id"},{"title":"Delete a custom invoice","openapi":"delete /billing/invoices/custom/{id}","href":"/api-reference/billing/delete-billing-invoices-custom-id"},{"title":"Mark a custom invoice as paid","openapi":"post /billing/invoices/custom/{id}/mark-paid","href":"/api-reference/billing/post-billing-invoices-custom-id-mark-paid"},{"title":"Create a Stripe Customer Portal session","openapi":"post /billing/portal","href":"/api-reference/billing/post-billing-portal"},{"title":"Create a Stripe Customer Session for embedded components","openapi":"post /billing/customer-session","href":"/api-reference/billing/post-billing-customer-session"},{"title":"Force-refresh subscription data from Stripe","openapi":"post /billing/refresh","href":"/api-reference/billing/post-billing-refresh"},{"title":"Get current Stripe subscription (live)","openapi":"get /billing/stripe/subscription","href":"/api-reference/billing/get-billing-stripe-subscription"},{"title":"Create a Stripe subscription directly","openapi":"post /billing/stripe/subscription","href":"/api-reference/billing/post-billing-stripe-subscription"},{"title":"Update a Stripe subscription directly (upgrade/downgrade)","openapi":"put /billing/stripe/subscription","href":"/api-reference/billing/put-billing-stripe-subscription"},{"title":"Cancel the Stripe subscription directly","openapi":"delete /billing/stripe/subscription","href":"/api-reference/billing/delete-billing-stripe-subscription"},{"title":"Create a Stripe payment link for a plan","openapi":"post /billing/stripe/payment-link","href":"/api-reference/billing/post-billing-stripe-payment-link"},{"title":"Change subscription plan (recommended entry point for all plan changes)","openapi":"put /billing/stripe/change-plan","href":"/api-reference/billing/put-billing-stripe-change-plan"},{"title":"List invoices (local custom invoices merged with Stripe invoices)","openapi":"get /billing/invoices","href":"/api-reference/billing/get-billing-invoices"},{"title":"Get billing-cache hit/miss metrics","openapi":"get /billing/metrics/cache","href":"/api-reference/billing/get-billing-metrics-cache"},{"title":"Reset billing-cache metrics counters","openapi":"post /billing/metrics/cache/reset","href":"/api-reference/billing/post-billing-metrics-cache-reset"},{"title":"Detect and fix duplicate active subscriptions (Stripe + local)","openapi":"post /billing/cleanup/duplicates","href":"/api-reference/billing/post-billing-cleanup-duplicates"}]},{"group":"Capabilities","pages":[{"title":"List every capability with this workspace's state","openapi":"get /capabilities","href":"/api-reference/capabilities/get-capabilities"},{"title":"Get one capability","openapi":"get /capabilities/{slug}","href":"/api-reference/capabilities/get-capabilities-id"},{"title":"Enable, disable, or configure a capability","openapi":"put /capabilities/{slug}","href":"/api-reference/capabilities/put-capabilities-id"},{"title":"Save (or rotate) a connection's credentials","openapi":"put /capabilities/{slug}/credentials","href":"/api-reference/capabilities/put-capabilities-id-credentials"},{"title":"Remove a connection's stored credentials","openapi":"delete /capabilities/{slug}/credentials","href":"/api-reference/capabilities/delete-capabilities-id-credentials"},{"title":"Test a connection's stored credentials","openapi":"post /capabilities/{slug}/test","href":"/api-reference/capabilities/post-capabilities-id-test"}]},{"group":"Catalog Export","pages":[{"title":"List registered catalog export templates","openapi":"get /catalog/export/templates","href":"/api-reference/catalog-export/get-catalog-export-templates"},{"title":"Run a catalog export template","openapi":"post /catalog/export","href":"/api-reference/catalog-export/post-catalog-export"}]},{"group":"Catalog Import","pages":[{"title":"List active metadata providers","openapi":"get /catalog-import/providers","href":"/api-reference/catalog-import/get-catalog-import-providers"},{"title":"Search for an artist on the primary catalog provider","openapi":"get /catalog-import/search","href":"/api-reference/catalog-import/get-catalog-import-search"},{"title":"Queue a metadata fetch + staging job","openapi":"post /catalog-import/fetch","href":"/api-reference/catalog-import/post-catalog-import-fetch"},{"title":"Poll a fetch job's status","openapi":"get /catalog-import/job/{jobId}","href":"/api-reference/catalog-import/get-catalog-import-job-id"},{"title":"List staged items in an import batch","openapi":"get /catalog-import/batch/{batchId}","href":"/api-reference/catalog-import/get-catalog-import-batch-id"},{"title":"Get a read-only diff of a staged batch against the current catalog","openapi":"get /catalog-import/batch/{batchId}/diff","href":"/api-reference/catalog-import/get-catalog-import-batch-id-diff"},{"title":"Set reviewer overrides on a pending staged item","openapi":"put /catalog-import/items/{id}","href":"/api-reference/catalog-import/put-catalog-import-items-id"},{"title":"Apply staged items to the catalog","openapi":"post /catalog-import/apply","href":"/api-reference/catalog-import/post-catalog-import-apply"},{"title":"Reject staged items","openapi":"post /catalog-import/reject","href":"/api-reference/catalog-import/post-catalog-import-reject"}]},{"group":"Checklists","pages":[{"title":"Check Royalty Assets","openapi":"get /checklist/royaltyassets","href":"/api-reference/checklists/get-checklist-royaltyassets"},{"title":"Check Royalty Products","openapi":"get /checklist/royaltyproducts","href":"/api-reference/checklists/get-checklist-royaltyproducts"},{"title":"Check Assets Splits","openapi":"get /checklist/assetsplits","href":"/api-reference/checklists/get-checklist-assetsplits"},{"title":"Check Products Splits","openapi":"get /checklist/productsplits","href":"/api-reference/checklists/get-checklist-productsplits"},{"title":"Check All Splits","openapi":"get /checklist/allsplits","href":"/api-reference/checklists/get-checklist-allsplits"},{"title":"Check Missing Royalty Splits","openapi":"get /checklist/missingroyaltysplits","href":"/api-reference/checklists/get-checklist-missingroyaltysplits"},{"title":"Check Artist Splits Users","openapi":"get /checklist/artistsplits","href":"/api-reference/checklists/get-checklist-artistsplits"},{"title":"Check Missing Primary Artists","openapi":"get /checklist/missingprimaryartists","href":"/api-reference/checklists/get-checklist-missingprimaryartists"},{"title":"Check Duplicate Artists","openapi":"get /checklist/duplicateartists","href":"/api-reference/checklists/get-checklist-duplicateartists"},{"title":"Check Products Without Assets","openapi":"get /checklist/productswithoutassets","href":"/api-reference/checklists/get-checklist-productswithoutassets"},{"title":"Check Assets Without Products","openapi":"get /checklist/assetswithoutproducts","href":"/api-reference/checklists/get-checklist-assetswithoutproducts"},{"title":"Import Missing Assets from Royalty Data","openapi":"post /checklist/royaltyassets/import","href":"/api-reference/checklists/post-checklist-royaltyassets-import"},{"title":"Import Missing Products from Royalty Data","openapi":"post /checklist/royaltyproducts/import","href":"/api-reference/checklists/post-checklist-royaltyproducts-import"},{"title":"Import Edited Ghost Asset Rows","openapi":"post /checklist/royaltyassets/import-rows","href":"/api-reference/checklists/post-checklist-royaltyassets-import-rows"},{"title":"Import Edited Ghost Product Rows","openapi":"post /checklist/royaltyproducts/import-rows","href":"/api-reference/checklists/post-checklist-royaltyproducts-import-rows"},{"title":"Enrich Existing Assets","openapi":"post /checklist/assets/enrich","href":"/api-reference/checklists/post-checklist-assets-enrich"},{"title":"Enrich Existing Products","openapi":"post /checklist/products/enrich","href":"/api-reference/checklists/post-checklist-products-enrich"},{"title":"List Enrichment Items","openapi":"get /checklist/enrichment","href":"/api-reference/checklists/get-checklist-enrichment"},{"title":"Get Enrichment Job Status","openapi":"get /checklist/enrichment/job/{jobId}","href":"/api-reference/checklists/get-checklist-enrichment-job-id"},{"title":"Get Enrichment Item","openapi":"get /checklist/enrichment/{id}","href":"/api-reference/checklists/get-checklist-enrichment-id"},{"title":"Update Enrichment Item","openapi":"put /checklist/enrichment/{id}","href":"/api-reference/checklists/put-checklist-enrichment-id"},{"title":"Approve Enrichment Items","openapi":"post /checklist/enrichment/approve","href":"/api-reference/checklists/post-checklist-enrichment-approve"},{"title":"Reject Enrichment Items","openapi":"post /checklist/enrichment/reject","href":"/api-reference/checklists/post-checklist-enrichment-reject"},{"title":"Re-Enrich Rejected Items","openapi":"post /checklist/enrichment/re-enrich","href":"/api-reference/checklists/post-checklist-enrichment-re-enrich"},{"title":"Clean Up Stale Enrichment Items","openapi":"post /checklist/enrichment/cleanup","href":"/api-reference/checklists/post-checklist-enrichment-cleanup"}]},{"group":"Currencies","pages":[{"title":"List all globally supported currencies","openapi":"get /currencies","href":"/api-reference/currencies/get-currencies"},{"title":"List exchange rates for the tenant","openapi":"get /currencies/exchange-rates","href":"/api-reference/currencies/get-currencies-exchange-rates"},{"title":"Create a single exchange rate","openapi":"post /currencies/exchange-rates","href":"/api-reference/currencies/post-currencies-exchange-rates"},{"title":"Bulk upsert exchange rates","openapi":"post /currencies/exchange-rates/bulk","href":"/api-reference/currencies/post-currencies-exchange-rates-bulk"},{"title":"Preview live or historical exchange rates from the external provider","openapi":"post /currencies/exchange-rates/fetch-live","href":"/api-reference/currencies/post-currencies-exchange-rates-fetch-live"},{"title":"Update a single exchange rate","openapi":"put /currencies/exchange-rates/{id}","href":"/api-reference/currencies/put-currencies-exchange-rates-id"},{"title":"Delete a single exchange rate","openapi":"delete /currencies/exchange-rates/{id}","href":"/api-reference/currencies/delete-currencies-exchange-rates-id"},{"title":"List the tenant's configured currencies","openapi":"get /currencies/tenant","href":"/api-reference/currencies/get-currencies-tenant"},{"title":"Get the tenant's default currency","openapi":"get /currencies/tenant/default","href":"/api-reference/currencies/get-currencies-tenant-default"},{"title":"Enable a currency for the tenant","openapi":"post /currencies/tenant/{code}/enable","href":"/api-reference/currencies/post-currencies-tenant-id-enable"},{"title":"Disable a currency for the tenant","openapi":"post /currencies/tenant/{code}/disable","href":"/api-reference/currencies/post-currencies-tenant-id-disable"},{"title":"Set a currency as the tenant's default","openapi":"post /currencies/tenant/{code}/default","href":"/api-reference/currencies/post-currencies-tenant-id-default"},{"title":"Get currency metadata by code","openapi":"get /currencies/{code}","href":"/api-reference/currencies/get-currencies-id"}]},{"group":"Cwr Export","pages":[{"title":"Generate a CWR export job for a publisher","openapi":"post /cwr/export","href":"/api-reference/cwr-export/post-cwr-export"},{"title":"List CWR export jobs for a publisher's tenant","openapi":"get /cwr/status/{publisherId}","href":"/api-reference/cwr-export/get-cwr-status-id"},{"title":"Cancel an in-progress export","openapi":"post /cwr/cancel","href":"/api-reference/cwr-export/post-cwr-cancel"},{"title":"Download the rendered CWR file for a completed job","openapi":"get /cwr/jobs/{jobId}/download","href":"/api-reference/cwr-export/get-cwr-jobs-id-download"},{"title":"Parse a raw CWR .txt file without persisting it","openapi":"post /cwr/import/raw","href":"/api-reference/cwr-export/post-cwr-import-raw"},{"title":"Upload and process a CWR acknowledgment file","openapi":"post /cwr/acknowledgment","href":"/api-reference/cwr-export/post-cwr-acknowledgment"},{"title":"List work registration statuses for the tenant","openapi":"get /cwr/works/registration-status","href":"/api-reference/cwr-export/get-cwr-works-registration-status"},{"title":"Get registration history for a specific work","openapi":"get /cwr/works/{workId}/registration","href":"/api-reference/cwr-export/get-cwr-works-id-registration"},{"title":"Manually update a registration's status","openapi":"patch /cwr/registrations/{registrationId}/status","href":"/api-reference/cwr-export/patch-cwr-registrations-id-status"}]},{"group":"Data Shares","pages":[{"title":"List data shares","openapi":"get /data-shares","href":"/api-reference/data-shares/get-data-shares"},{"title":"Create data share","openapi":"post /data-shares","href":"/api-reference/data-shares/create-data-share"},{"title":"Get data share","openapi":"get /data-shares/{id}","href":"/api-reference/data-shares/get-data-share"},{"title":"Update data share","openapi":"put /data-shares/{id}","href":"/api-reference/data-shares/update-data-share"},{"title":"Delete data share","openapi":"delete /data-shares/{id}","href":"/api-reference/data-shares/delete-data-share"}]},{"group":"Ddex","pages":[{"title":"Generate ERN for a Product","openapi":"post /ddex/ern/generate","href":"/api-reference/ddex/post-ddex-ern-generate"},{"title":"Generate ERN in batch","openapi":"post /ddex/ern/generate-batch","href":"/api-reference/ddex/post-ddex-ern-generate-batch"},{"title":"Queue MEAD generation for a Product","openapi":"post /ddex/mead/generate","href":"/api-reference/ddex/post-ddex-mead-generate"},{"title":"Update MEAD metadata for an entity","openapi":"put /ddex/mead/{entityId}","href":"/api-reference/ddex/put-ddex-mead-id"},{"title":"List DDEX messages","openapi":"get /ddex/messages","href":"/api-reference/ddex/get-ddex-messages"},{"title":"Get a DDEX message","openapi":"get /ddex/messages/{messageId}","href":"/api-reference/ddex/get-ddex-messages-id"},{"title":"Validate a DDEX message","openapi":"post /ddex/messages/{messageId}/validate","href":"/api-reference/ddex/post-ddex-messages-id-validate"},{"title":"Get a signed download URL for a message","openapi":"get /ddex/messages/{messageId}/download","href":"/api-reference/ddex/get-ddex-messages-id-download"},{"title":"Queue message delivery","openapi":"post /ddex/delivery/deliver/{messageId}","href":"/api-reference/ddex/post-ddex-delivery-deliver-id"},{"title":"Queue delivery for multiple messages","openapi":"post /ddex/delivery/deliver-batch","href":"/api-reference/ddex/post-ddex-delivery-deliver-batch"},{"title":"Retry delivery for a failed message","openapi":"post /ddex/delivery/retry/{messageId}","href":"/api-reference/ddex/post-ddex-delivery-retry-id"},{"title":"Get delivery status for a message","openapi":"get /ddex/delivery/status/{messageId}","href":"/api-reference/ddex/get-ddex-delivery-status-id"},{"title":"Get delivery logs for a message","openapi":"get /ddex/delivery/logs/{messageId}","href":"/api-reference/ddex/get-ddex-delivery-logs-id"},{"title":"Test connection to a DDEX provider","openapi":"post /ddex/delivery/test-connection","href":"/api-reference/ddex/post-ddex-delivery-test-connection"},{"title":"Test connection to all configured DDEX providers","openapi":"post /ddex/delivery/test-all-connections","href":"/api-reference/ddex/post-ddex-delivery-test-all-connections"},{"title":"List DDEX queue jobs (tenant-scoped)","openapi":"get /ddex/queue/jobs","href":"/api-reference/ddex/get-ddex-queue-jobs"},{"title":"Get a single DDEX queue job (tenant-scoped)","openapi":"get /ddex/queue/jobs/{jobId}","href":"/api-reference/ddex/get-ddex-queue-jobs-id"},{"title":"Get logs for a DDEX queue job (tenant-scoped)","openapi":"get /ddex/queue/jobs/{jobId}/logs","href":"/api-reference/ddex/get-ddex-queue-jobs-id-logs"},{"title":"Get DDEX monitoring dashboard for the current tenant","openapi":"get /ddex/monitoring/dashboard","href":"/api-reference/ddex/get-ddex-monitoring-dashboard"},{"title":"Get registry health status","openapi":"get /api/monitoring/registries/health","href":"/api-reference/ddex/get-registry-health"},{"title":"Get detailed adapter health information","openapi":"get /api/monitoring/registries/adapters","href":"/api-reference/ddex/get-adapter-health"},{"title":"Get list of registered providers","openapi":"get /api/monitoring/registries/providers","href":"/api-reference/ddex/get-registered-providers"},{"title":"Get aggregated adapter metrics","openapi":"get /api/monitoring/registries/metrics","href":"/api-reference/ddex/get-adapter-metrics"},{"title":"List global DDEX providers","openapi":"get /ddex/providers","href":"/api-reference/ddex/get-ddex-providers"},{"title":"Get provider details","openapi":"get /ddex/providers/{providerId}","href":"/api-reference/ddex/get-ddex-providers-id"},{"title":"Get provider statistics for tenant","openapi":"get /ddex/providers/{providerId}/stats","href":"/api-reference/ddex/get-ddex-providers-id-stats"},{"title":"List tenant provider configurations","openapi":"get /ddex/tenant-providers","href":"/api-reference/ddex/get-ddex-tenant-providers"},{"title":"Create tenant provider configuration","openapi":"post /ddex/tenant-providers","href":"/api-reference/ddex/post-ddex-tenant-providers"},{"title":"Get a tenant provider configuration","openapi":"get /ddex/tenant-providers/{id}","href":"/api-reference/ddex/get-ddex-tenant-providers-id"},{"title":"Update tenant provider configuration","openapi":"put /ddex/tenant-providers/{id}","href":"/api-reference/ddex/put-ddex-tenant-providers-id"},{"title":"Delete tenant provider configuration","openapi":"delete /ddex/tenant-providers/{id}","href":"/api-reference/ddex/delete-ddex-tenant-providers-id"},{"title":"Get DDEX rate limit usage statistics","openapi":"get /ddex/usage","href":"/api-reference/ddex/get-ddex-usage"},{"title":"Get comprehensive DDEX usage dashboard","openapi":"get /ddex/usage/dashboard","href":"/api-reference/ddex/get-ddex-usage-dashboard"}]},{"group":"Default Settings","pages":[{"title":"Get Default Settings (Tenant/Catalog Level)","openapi":"get /defaultsettings/{entityType}","href":"/api-reference/default-settings/get-defaultsettings-id"},{"title":"Create Default Setting (Tenant/Catalog Level)","openapi":"post /defaultsettings/{entityType}","href":"/api-reference/default-settings/post-defaultsettings-id"},{"title":"Get Default Settings (Entity-Specific)","openapi":"get /defaultsettings/{entityType}/{entityId}","href":"/api-reference/default-settings/get-defaultsettings-id-id"},{"title":"Create Default Setting (Entity-Specific)","openapi":"post /defaultsettings/{entityType}/{entityId}","href":"/api-reference/default-settings/post-defaultsettings-id-id"},{"title":"Update Default Setting (Tenant/Catalog Level)","openapi":"put /defaultsettings/{entityType}/{settingId}","href":"/api-reference/default-settings/put-defaultsettings-id-id"},{"title":"Delete Default Setting (Tenant/Catalog Level)","openapi":"delete /defaultsettings/{entityType}/{settingId}","href":"/api-reference/default-settings/delete-defaultsettings-id-id"},{"title":"Update Default Setting (Entity-Specific)","openapi":"put /defaultsettings/{entityType}/{entityId}/{settingId}","href":"/api-reference/default-settings/put-defaultsettings-id-id-id"},{"title":"Delete Default Setting (Entity-Specific)","openapi":"delete /defaultsettings/{entityType}/{entityId}/{settingId}","href":"/api-reference/default-settings/delete-defaultsettings-id-id-id"},{"title":"Get Templates","openapi":"get /defaultsettings/templates","href":"/api-reference/default-settings/get-defaultsettings-templates"},{"title":"Create Template","openapi":"post /defaultsettings/templates","href":"/api-reference/default-settings/post-defaultsettings-templates"},{"title":"Get Popular Templates","openapi":"get /defaultsettings/templates/popular","href":"/api-reference/default-settings/get-defaultsettings-templates-popular"},{"title":"Update Template","openapi":"put /defaultsettings/templates/{templateId}","href":"/api-reference/default-settings/put-defaultsettings-templates-id"},{"title":"Delete Template","openapi":"delete /defaultsettings/templates/{templateId}","href":"/api-reference/default-settings/delete-defaultsettings-templates-id"},{"title":"Apply Template","openapi":"post /defaultsettings/templates/{templateId}/apply","href":"/api-reference/default-settings/post-defaultsettings-templates-id-apply"},{"title":"Preview Resolved Defaults","openapi":"post /defaultsettings/preview/resolve","href":"/api-reference/default-settings/post-defaultsettings-preview-resolve"},{"title":"Preview Asset Defaults","openapi":"post /defaultsettings/preview/asset","href":"/api-reference/default-settings/post-defaultsettings-preview-asset"},{"title":"Preview Product Defaults","openapi":"post /defaultsettings/preview/product","href":"/api-reference/default-settings/post-defaultsettings-preview-product"},{"title":"Preview
[...]
